textures/postit2b2_water/water01
{
	qer_editorimage textures/postit2b2_thumbs/water01.tga
	qer_trans .7
	q3map_globaltexture
	q3map_surfacelight 125
	q3map_backsplash 0 0
	q3map_lightmapsamplesize 64
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	
	// deformvertexes wave div func base amplitude phase freq
	deformvertexes wave 32 sin .2 .2 0 1
	deformvertexes wave 64 sin .5 .3 .5 .4 
	
	{
		map textures/postit2b2_meta/water01.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/postit2b2_meta/water01.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity 
	}
}

// non light emitting water, for areas which are behaving funny
textures/postit2b2_water/water02
{
	qer_editorimage textures/postit2b2_thumbs/water02.tga
	qer_trans .7
	q3map_globaltexture
	q3map_lightmapsamplesize 64
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	
	// deformvertexes wave div func base amplitude phase freq
	deformvertexes wave 32 sin .2 .2 0 1
	deformvertexes wave 64 sin .5 .3 .5 .4 
	
	{
		map textures/postit2b2_meta/water01.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/postit2b2_meta/water01.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity 
	}
}


textures/postit2b2_teleports/tele01
{
	qer_editorimage textures/postit2b2_thumbs/tele01.tga
	qer_trans .7
	q3map_globaltexture
	q3map_surfacelight 250
	q3map_backsplash 20 40
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	{
		map $lightmap
		blendfunc filter
		rgbgen identity 
	}	
	{
		map textures/postit2b2_meta/teleport.tga
		alphagen const 0.2
		blendfunc blend
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/postit2b2_meta/teleport.tga
		alphagen const 0.2
		blendfunc blend
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}

textures/postit2b2_teleports/tele02
{
	qer_editorimage textures/postit2b2_thumbs/tele02.tga
	qer_trans .7
	q3map_globaltexture
	q3map_surfacelight 250
	q3map_backsplash 20 40
	surfaceparm trans
	surfaceparm nonsolid
	//cull disable
	{
		map $lightmap
		blendfunc filter
		rgbgen identity 
	}	
	{
		map textures/postit2b2_meta/teleport.tga
		alphagen const 0.2
		blendfunc blend
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/postit2b2_meta/teleport.tga
		alphagen const 0.2
		blendfunc blend
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	
}

textures/postit2b2_glass/glass
{
	qer_editorimage textures/postit2b2_meta/glass_black.tga
	qer_trans .7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/postit2b2_meta/glass_black.tga
		blendfunc add
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
		tcgen environment
	}	
}

textures/postit2b2_glass/display_screen
{
	qer_editorimage textures/postit2b2_common/qer_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/postit2b2_meta/cs_black_100alpha.tga
 		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
		alphagen portal 2048
    }
}

textures/postit2b2_misc/invisible_wall
{
	qer_editorimage textures/postit2b2_common/invisible.tga
	surfaceparm nolightmap
	{
		map textures/postit2b2_meta/cs_black_100alpha.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}